Package org.jfree.report.modules.gui.swing.html

# Class HtmlFileExportDialog

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Dialog
javax.swing.JDialog
org.jfree.report.modules.gui.swing.common.AbstractExportDialog
org.jfree.report.modules.gui.swing.html.HtmlFileExportDialog

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `RootPaneContainer`, `WindowConstants`, `ExportDialog`

public class HtmlFileExportDialog extends AbstractExportDialog
A dialog that is used to perform the printing of a report into an HTML file.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JDialog

`JDialog.AccessibleJDialog`

## Nested classes/interfaces inherited from class java.awt.Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

## Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class javax.swing.JDialog

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`HtmlFileExportDialog()`
Creates a non-modal dialog without a title and without a specified `Frame` owner.
`HtmlFileExportDialog(Dialog owner)`
Creates a non-modal dialog without a title with the specified `Dialog` as its owner.
`HtmlFileExportDialog(Frame owner)`
Creates a non-modal dialog without a title with the specified `Frame` as its owner.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`protected String`
`getConfigurationPrefix()`
`protected String`
`getConfigurationSuffix()`
`String`
`getExportMethod()`
`String`
`getFilename()`
`protected String`
`getResourceBaseName()`
`JStatusBar`
`getStatusBar()`
`protected org.pentaho.reporting.libraries.base.config.Configuration`
`grabDialogContents(boolean full)`
Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.
`protected void`
`initializeFromJob(ReportJob job, GuiContext guiContext)`
`protected boolean`
`performConfirm()`
`protected void`
`performSelectFile()`
Selects a file to use as target for the report processing.
`protected boolean`
`performValidate()`
`protected void`
`setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration properties)`
`void`
`setExportMethod(String method)`
`void`
`setFilename(String filename)`

### Methods inherited from class org.jfree.report.modules.gui.swing.common.AbstractExportDialog

`getCancelAction, getConfirmAction, getFormValidator, getGuiContext, getReportJob, getResources, isConfirmed, isFullInputStorageEnabled, isInputStorageEnabled, performQueryForExport, resolvePath, setCancelAction, setConfirmAction, setConfirmed`

### Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Dialog

`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HtmlFileExportDialog

public HtmlFileExportDialog()
Creates a non-modal dialog without a title and without a specified `Frame` owner. A shared, hidden frame will be set as the owner of the dialog.

### HtmlFileExportDialog

public HtmlFileExportDialog(Frame owner)
Creates a non-modal dialog without a title with the specified `Frame` as its owner. If `owner` is `null`, a shared, hidden frame will be set as the owner of the dialog.

Parameters:
  `owner` - the `Frame` from which the dialog is displayed

### HtmlFileExportDialog

public HtmlFileExportDialog(Dialog owner)
Creates a non-modal dialog without a title with the specified `Dialog` as its owner.

Parameters:
  `owner` - the non-null `Dialog` from which the dialog is displayed

## Method Details

### getFilename

public String getFilename()

### setFilename

public void setFilename(String filename)

### getStatusBar

public JStatusBar getStatusBar()

Specified by:
  `getStatusBar` in class `AbstractExportDialog`

### performValidate

protected boolean performValidate()

Specified by:
  `performValidate` in class `AbstractExportDialog`

### performConfirm

protected boolean performConfirm()

Overrides:
  `performConfirm` in class `AbstractExportDialog`

### initializeFromJob

protected void initializeFromJob(ReportJob job, GuiContext guiContext)

Specified by:
  `initializeFromJob` in class `AbstractExportDialog`

### getConfigurationPrefix

protected String getConfigurationPrefix()

Specified by:
  `getConfigurationPrefix` in class `AbstractExportDialog`

### grabDialogContents

protected org.pentaho.reporting.libraries.base.config.Configuration grabDialogContents(boolean full)
Description copied from class: `AbstractExportDialog`
Returns a new (and not connected to the default config from the job) configuration containing all properties from the dialog.

Specified by:
  `grabDialogContents` in class `AbstractExportDialog`
Parameters:
  `full` -
Returns:

### setDialogContents

protected void setDialogContents(org.pentaho.reporting.libraries.base.config.Configuration properties)

Specified by:
  `setDialogContents` in class `AbstractExportDialog`

### getConfigurationSuffix

protected String getConfigurationSuffix()

Specified by:
  `getConfigurationSuffix` in class `AbstractExportDialog`

### getExportMethod

public String getExportMethod()

### setExportMethod

public void setExportMethod(String method)

### clear

public void clear()

Specified by:
  `clear` in class `AbstractExportDialog`

### getResourceBaseName

protected String getResourceBaseName()

Specified by:
  `getResourceBaseName` in class `AbstractExportDialog`

### performSelectFile

protected void performSelectFile()
Selects a file to use as target for the report processing.